### Virtual Method

# Phosh GeoClueDBusManager handle_add_agent

#### Declaration [src]

    gboolean
    handle_add_agent (
      PhoshGeoClueDBusManager* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_id
    )

#### Description [src]

Handler for the `PhoshGeoClueDBusManager::handle-add-agent` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.